Status: Closed Start date: 08 Oct 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 1.20 hour

Description

Making a homomorphism is often tedious.  In CoCoA-5 we need to write (the best we can do):

 QQy ::= QQ[y];

 R := NewQuotientRing(QQy, ideal(RingElem(QQy,"y^2-5")));

 phi := PolyAlgebraHom(QQt(1), R, [RingElem(R,"(1+y)/2")]);

Consider the syntax:

 phi := PolyAlgebraHom(QQt(1), R, "(1+y)/2");

where the string is automatically read in the codomain.

(similar for NewQuotientRing)    

2019-10 Done. Example:

phi := PolyAlgebraHom(R, S, "a,1,0");

Related issues:

Related to CoCoA-5 - Design #1327: Inconvenient PolyRingHom, PolyAlgebraHom Closed 07 Oct 2019

Related to CoCoALib - Feature #1332: New function: vector of RingElem from st... Closed 08 Oct 2019

Related to CoCoALib - Feature #1532: Convenient RingHom pseudo-ctors In Progress 06 Nov 2020

Related to CoCoALib - Bug #1484: ker bug (quotientinghom for R/ideal()) Closed 14 Sep 2020

History

#1 - 08 Oct 2019 12:21 - Anna Maria Bigatti

- Related to Design #1327: Inconvenient PolyRingHom, PolyAlgebraHom added

#2 - 08 Oct 2019 15:50 - Anna Maria Bigatti

- Related to Feature #1332: New function: vector of RingElem from string -- in CoCoALib added

#3 - 09 Oct 2019 17:49 - Anna Maria Bigatti

- Related to Feature #1243: New function: Read a string into a list (of RingElem) -- CoCoA-5 added

#4 - 09 Oct 2019 17:51 - Anna Maria Bigatti

- Related to deleted (Feature #1243: New function: Read a string into a list (of RingElem) -- CoCoA-5)

#5 - 10 Oct 2019 09:49 - Anna Maria Bigatti

- Subject changed from New sytax for creating homomorphisms to New syntax for creating homomorphisms

- Description updated
- Status changed from In Progress to Resolved

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 80

#6 - 10 Oct 2019 18:41 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

#7 - 10 Oct 2019 18:50 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

#8 - 15 Oct 2019 17:48 - Anna Maria Bigatti

- Description updated

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#9 - 09 Nov 2020 10:03 - Anna Maria Bigatti

- Subject changed from New syntax for creating homomorphisms to New syntax for creating homomorphisms (PolyAlgebraHom)

#10 - 09 Nov 2020 10:03 - Anna Maria Bigatti

- Related to Feature #1532: Convenient RingHom pseudo-ctors added

#11 - 29 Jan 2021 15:07 - Anna Maria Bigatti

- Related to Bug #1484: ker bug (quotientinghom for R/ideal()) added
